### Constructor

# GdkPixbuf.PixbufAnimation.new_from_stream_finish

#### Declaration [src]

    GdkPixbufAnimation*
    gdk_pixbuf_animation_new_from_stream_finish (
      GAsyncResult* async_result,
      GError** error
    )

#### Description [src]

Finishes an asynchronous pixbuf animation creation operation started with `gdk_pixbuf_animation_new_from_stream_async()`.

#### Parameters

`async_result` | `GAsyncResult*`
| a `GAsyncResult`
| Ownership is not transferred to the callee

#### Return value

Returns: `GdkPixbufAnimation`
the newly created animation
Ownership of the data is transferred to the caller
Can be `NULL`